Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector.base
Class PathTransaction.WorkspaceChanges

    java.lang.Object
      org.modeshape.graph.connector.base.PathTransaction.WorkspaceChanges

Enclosing class:
  PathTransaction<NodeType extends PathNode,WorkspaceType extends PathWorkspace<NodeType>>

    protected class PathTransaction.WorkspaceChanges

extends Object

Record of the changes made to a particular workspace.

Constructor Summary
`protected` | `PathTransaction.WorkspaceChanges(WorkspaceType workspace)`

Method Summary
`void` | `changed(NodeType from, NodeType to)`
`void` | `commit()`
`void` | `created(NodeType node)`
`NodeType` | `getChangedOrAdded(Path path)`
`NodeType` | `getLowestChangedNodeFor(Path path)`
`WorkspaceType` | `getWorkspace()`
`boolean` | `isRemoved(Path path)`
`void` | `moved(NodeType node, NodeType newNode, NodeType newParent)`
`Path` | `persistentPathFor(Path path)`
`void` | `removeAll(NodeType newRootNode)`
`void` | `removed(Path path)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathTransaction.WorkspaceChanges

    protected PathTransaction.WorkspaceChanges(WorkspaceType workspace)

Method Detail

### getWorkspace

    public WorkspaceType getWorkspace()

### removeAll

    public void removeAll(NodeType newRootNode)

### isRemoved

    public boolean isRemoved(Path path)

### getLowestChangedNodeFor

    public NodeType getLowestChangedNodeFor(Path path)

### persistentPathFor

    public Path persistentPathFor(Path path)

### getChangedOrAdded

    public NodeType getChangedOrAdded(Path path)

### removed

    public void removed(Path path)

### created

    public void created(NodeType node)

### changed

    public void changed(NodeType from,
                        NodeType to)

### moved

    public void moved(NodeType node,
                      NodeType newNode,
                      NodeType newParent)

### commit

    public void commit()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.